Subject: Re: Strange Printer Problem
From: gm5729 <[email-masked]>
To: [email-masked]
Date: Tue, 15 Feb 2011 14:05:26 -0500 (EST)

Today's Topics:

   1. Re: Strange Printer Problem (Dazed_75)

Message: 1
Date: Mon, 14 Feb 2011 15:21:57 -0700
From: Dazed_75 <[email-masked]>
To: Main PLUG discussion list <[email-masked]>
Subject: Re: Strange Printer Problem
Message-ID:
	<AANLkTinL=MUYLDi=nJvaFme3=vb9eWV=[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Verified the printer I have is a Brother HL-2270DW.  It is connected via USB
to the club computer (homebrew) which triple boots Windows XP, Vista, and
Ubuntu 10.04.1.  Printing is fine in both versions of windows, but in Ubuntu
it is odd.  Text only files print fine from either the command line using
lpr or from Gnome using gedit.

Unfortunately, using Firefox was not so good.  It prints but takes forever
and some graphics seem to cause an error. On
http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/instruction_prn1a.htmlit
took a very long time to print the first three pages and then coughed
up
an error on the printer on a new sheet.  It said:

PCL XL Error
     Subsystem: kernel
     Error:     IllegalTag
     Operator:  0xe1
     Position:  4043712

So it seems the driver is suspect.  I got the driver from
http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/download_prn.html#HL-2270DW

So it seems we have the same or similar problems.  Wish I could say better!

On Mon, Feb 14, 2011 at 8:54 AM, Dazed_75 <[email-masked]> wrote:

> No problem.  In fact, I had the system on for our meeting Friday and forgot
> to check this out as my mother was being released from the hospital so I had
> other things on my mind.  I'll try to get back up there today or tomorrow.
> Sorry!
>
>
> On Sun, Feb 13, 2011 at 7:21 AM, Steve Holmes <[email-masked]>wrote:
>
>> Did you ever get a chance to check out your Brother printer? I recall
>> you had to visit a computer at a user group or something.  I haven't
>> been able to figure out anything newer than what I already reported.
>>
>> Thanks and sorry if I bugged you.
>>
>> On Tue, Feb 08, 2011 at 07:21:21PM -0700, Dazed_75 wrote:
>> > Before I go try it, are yoou trying to print the same thing from both
>> > places?  IOW, could the difference be the material to print rather than
>> the
>> > environment from which you print?  Does it include graphics?  I should
>> be
>> > able to get to the club computer in the next day or two.
>> >
>> > On Tue, Feb 8, 2011 at 8:35 AM, Steve Holmes <[email-masked]>
>> wrote:
>> >
>> > > That sounds close.  The 2270DW is a duplex laser printer with wireless
>> > > capability which Office Max had on sale a few weeks ago for $99.95.
>> > > That $80 price sounds like the wired-only version (model 2240)
>> > > perhaps.  I wish they had sold that one on sale too because I don't
>> > > plan to use the wireless part.  At the time I baught mine, the wired
>> > > version was not on sale thus costing more than theone I got.
>> > >
>> > > In any case, I downloaded the firmware for supporting Brother 2270DW
>> > > on linux and built and installed an Arch Linux package for it.  It
>> > > works fine from the console as I said before; I just can't print from
>> > > gnome.  Not sure how or what Ubuntu will do with it.  Try from both
>> > > the console and gnome.
>> > >
>> > > On Tue, Feb 08, 2011 at 08:26:47AM -0700, Dazed_75 wrote:
>> > > > That model sounds familiar,  Is it the Brother Laser with duplex
>> that
>> > > Fry's
>> > > > advertised one week for $80?  If so, I bought one for my computer
>> club
>> > > and
>> > > > can go check it out there.  I recall having a problem installing it
>> for
>> > > > ubuntu but think I got it working.
>> > > >
>> > > > On Mon, Feb 7, 2011 at 7:49 PM, Steve Holmes <[email-masked]
>> >
>> > > wrote:
>> > > >
>> > > > > I wonder if anyone can help me out here.  I have a Brother 2270DW
>> > > > > connected to my local area network and have the IP address locked
>> in
>> > > > > with the static DHCP leases.  From the text console, printing
>> works
>> > > > > fine when I use the lp or lpr commands through CUPS.  However,
>> when I
>> > > > > try to print anything from any program in GNOME such as gedit or
>> > > > > firefox, I get no print.  From what I see in the CUPS access_log,
>> the
>> > > > > job scheduled OK and no errors show up.  When I hit the print
>> button
>> > > > > from the standard print dialog in GNOME, I can hear a faint thump
>> or
>> > > > > click from the printer but then nothing else happens.  It's like
>> the
>> > > > > print job simply disappears.  Yet this all works fine from the
>> > > > > console.
>> > > > >
>> > > > > Is there anything I can look for to track this down?
>> > > > >
>> > > > > BTW, this is on an Arch Linux system but recall that CUPS is
>> working
>> > > > > correctly as far as I can tell.
>> > > > >
>> > > > > Thanks for any ideas.
>> > > > > ---------------------------------------------------

I have a Brother HL-2170W when I first got that little bugger til just recently it was literally kicking my ass. This is what I had to do to get my sanity back:

Router set it up on a MAC addy allow line, if you use Static IP's in your network all the better. 

To get settings. Hit the blue/green button 7x's in succession. It will spit out a couple of pages with it's current settings. 

In your browser once you find the IP log into it just like a router. All the settings are modifiable and self explanatory. IF your printer is set up in CUPS and runs under a specific IP in CUPS try that first.

Then you're set to go after cycling the router, CUPS and the printer.